Regression: kernel 3.8.0-24 breaks WPA enterprise auth [iwlwifi]

Bug #1186932 reported by Øyvind Stegard on 2013-06-03
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned
Raring
High
Unassigned
Saucy
High
Unassigned

Bug Description

After upgrading from 3.8.0-23 to kernel 3.8.0-24 currently in -proposed, wireless WPA enterprise authentication stopped working. I am having issues now which very much resembles the problems in bug 1104476 (although I do use a certficate).

Here's some output from syslog during connection attempt:

Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> (wlan0): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Activation (wlan0/wireless): connection 'Auto uio' has security, and secrets exist. No new secrets needed.
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'ssid' value 'uio'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'scan_ssid' value '1'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'key_mgmt' value 'WPA-EAP'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'password' value '<omitted>'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'eap' value 'TTLS'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'fragment_size' value '1300'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'phase2' value 'auth=MSCHAPV2'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'ca_path' value '/etc/ssl/certs'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'ca_path2' value '/etc/ssl/certs'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'ca_cert' value '/etc/ssl/certs/AddTrust_External_Root.pem'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'identity' value '<NN>'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'anonymous_identity' value '<NN>'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'bgscan' value 'simple:30:-45:300'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: added 'proactive_key_caching' value '1'
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Jun 3 11:27:39 rednorrock NetworkManager[1289]: <info> Config: set interface ap_scan to 1
Jun 3 11:27:44 rednorrock NetworkManager[1289]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Jun 3 11:27:47 rednorrock wpa_supplicant[1340]: wlan0: SME: Trying to authenticate with 1c:aa:07:c7:ef:60 (SSID='uio' freq=2412 MHz)
Jun 3 11:27:47 rednorrock kernel: [ 521.708962] wlan0: authenticate with 1c:aa:07:c7:ef:60
Jun 3 11:27:47 rednorrock kernel: [ 521.718879] wlan0: send auth to 1c:aa:07:c7:ef:60 (try 1/3)
Jun 3 11:27:47 rednorrock kernel: [ 521.721928] wlan0: authenticated
Jun 3 11:27:47 rednorrock kernel: [ 521.722694] iwlwifi 0000:03:00.0 wlan0: disabling HT/VHT due to WEP/TKIP use
Jun 3 11:27:47 rednorrock wpa_supplicant[1340]: wlan0: Trying to associate with 1c:aa:07:c7:ef:60 (SSID='uio' freq=2412 MHz)
Jun 3 11:27:47 rednorrock kernel: [ 521.723563] wlan0: associate with 1c:aa:07:c7:ef:60 (try 1/3)
Jun 3 11:27:47 rednorrock kernel: [ 521.727096] wlan0: RX AssocResp from 1c:aa:07:c7:ef:60 (capab=0x431 status=0 aid=7)
Jun 3 11:27:47 rednorrock wpa_supplicant[1340]: wlan0: Associated with 1c:aa:07:c7:ef:60
Jun 3 11:27:47 rednorrock wpa_supplicant[1340]: wlan0: CTRL-EVENT-EAP-STARTED EAP authentication started
Jun 3 11:27:47 rednorrock kernel: [ 521.731361] wlan0: associated
Jun 3 11:27:47 rednorrock kernel: [ 521.731425] cfg80211: Calling CRDA for country: NO
Jun 3 11:27:47 rednorrock kernel: [ 521.734965] cfg80211: Regulatory domain changed to country: NO
Jun 3 11:27:47 rednorrock kernel: [ 521.734968] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 3 11:27:47 rednorrock kernel: [ 521.734970] cfg80211: (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jun 3 11:27:47 rednorrock kernel: [ 521.734971] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jun 3 11:27:47 rednorrock kernel: [ 521.734972] cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jun 3 11:27:47 rednorrock kernel: [ 521.734973] cfg80211: (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Jun 3 11:27:47 rednorrock NetworkManager[1289]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Jun 3 11:27:47 rednorrock NetworkManager[1289]: <info> (wlan0): supplicant interface state: authenticating -> associating
Jun 3 11:27:47 rednorrock NetworkManager[1289]: <info> (wlan0): supplicant interface state: associating -> associated
Jun 3 11:28:04 rednorrock NetworkManager[1289]: <warn> Activation (wlan0/wireless): association took too long.
Jun 3 11:28:04 rednorrock NetworkManager[1289]: <info> (wlan0): device state change: config -> failed (reason 'no-secrets') [50 120 7]
Jun 3 11:28:04 rednorrock NetworkManager[1289]: <info> Marking connection 'Auto uio' invalid.
Jun 3 11:28:04 rednorrock NetworkManager[1289]: <warn> Activation (wlan0) failed for connection 'Auto uio'
Jun 3 11:28:04 rednorrock NetworkManager[1289]: <info> (wlan0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Jun 3 11:28:04 rednorrock NetworkManager[1289]: <info> (wlan0): deactivating device (reason 'none') [0]
Jun 3 11:28:04 rednorrock kernel: [ 538.758970] wlan0: deauthenticating from 1c:aa:07:c7:ef:60 by local choice (reason=3)
Jun 3 11:28:04 rednorrock wpa_supplicant[1340]: wlan0: CTRL-EVENT-DISCONNECTED bssid=00:00:00:00:00:00 reason=3

The connection uses TTLS/MSCHAPv2 auth with certificate.

Booting older 3.8.0-23 kernel makes it work fine again, so something has regressed.

It's been several years and Ubuntu releases since I've had any problems connecting to this network (at work).

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.8.0-24-generic 3.8.0-24.35
ProcVersionSignature: Ubuntu 3.8.0-24.35-generic 3.8.13
Uname: Linux 3.8.0-24-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.9.2-0ubuntu8.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: oyvind 2131 F.... pulseaudio
 /dev/snd/controlC0: oyvind 2131 F.... pulseaudio
CRDA:
 country NO:
  (2402 - 2482 @ 40), (N/A, 20)
  (5170 - 5250 @ 40), (N/A, 20)
  (5250 - 5330 @ 40), (N/A, 20), DFS
  (5490 - 5710 @ 40), (N/A, 27), DFS
Date: Mon Jun 3 11:19:25 2013
HibernationDevice: RESUME=UUID=0f94207f-b6d7-4b98-8f13-eaaeebb896b1
InstallationDate: Installed on 2012-05-28 (371 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: Dell Inc. Latitude E6510
MarkForUpload: True
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-24-generic root=UUID=67bd9db1-6c03-4313-8dbd-aa2aaefcc6fe ro quiet nosplash
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-24-generic N/A
 linux-backports-modules-3.8.0-24-generic N/A
 linux-firmware 1.106
SourcePackage: linux
UpgradeStatus: Upgraded to raring on 2013-04-12 (51 days ago)
dmi.bios.date: 07/30/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A13
dmi.board.name: 0N5KHN
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA13:bd07/30/2012:svnDellInc.:pnLatitudeE6510:pvr0001:rvnDellInc.:rn0N5KHN:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6510
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.

Øyvind Stegard (oyvinst) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
summary: - Regression: kernel 3.8.0-24 breaks WPA 2 enterprise auth
+ Regression: kernel 3.8.0-24 breaks WPA 2 enterprise auth [iwlwifi]
tags: added: regression-proposed

Regression is very consistent: with 3.8.0-23 WPA enterprise auth always works, and with 3.8.0-24 it always fails. No other changes to system other than booting the two different kernels.

(Wifi works OK with kernel 3.8.0-24 on my home network, using simple WPA with shared key AES encryption.)

Changed in linux (Ubuntu):
importance: Undecided → High
Øyvind Stegard (oyvinst) wrote :

Played around with various combinations of the iwlwifi module parameters '5ghz_disable=1', '11n_disable=1' and 'swcrypto=1' using kernel 3.8.0-24 without any success. The -23 kernel continues to work fine (no special iwlwifi parameters).

The -24 kernel changelog [http://changelogs.ubuntu.com/changelogs/pool/main/l/linux/linux_3.8.0-24.35/changelog] does mention a few wifi-related fixes, perhaps one of them is the culprit.

tags: added: needs-bisect
tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

There are three iwlwifi commits introduced in .Ubuntu-3.8.0-24.35:

8fa236bccfe289a0e454b5eab3b8acfc3a1862fb iwlwifi: add new pci id for 6x35 series
73031cedc8c24f0665866e655b5aad0d554d7a52 iwlwifi: dvm: don't send zeroed LQ cmd
d48647f22e856183eeb34b2db8ed843630bfecc4 iwlwifi: fix freeing uninitialized pointer

I'll build a test kernel with these three commits reverted to see if one of them introduced this regression. I'll post a link to the test kernel shortly.

Øyvind Stegard (oyvinst) wrote :

There is also this one:

commit 8aba4976abb99ae093cc8d74976164be487a93a5
Author: Johannes Berg <email address hidden>
Date: Tue Apr 16 14:32:26 2013 +0200

    wireless: regulatory: fix channel disabling race condition

The full changelog mentions iwlwifi in message of that commit:
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.8.12

Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with the following two commits reverted:
73031cedc8c24f0665866e655b5aad0d554d7a52 iwlwifi: dvm: don't send zeroed LQ cmd
d48647f22e856183eeb34b2db8ed843630bfecc4 iwlwifi: fix freeing uninitialized pointer

The kernel can be download from:
http://kernel.ubuntu.com/~jsalisbury/lp1186932/

Can you test this kernel and see if it still exhibits this bug?

Joseph Salisbury <email address hidden> writes:

> I built a test kernel with the following two commits reverted:
> 73031cedc8c24f0665866e655b5aad0d554d7a52 iwlwifi: dvm: don't send zeroed LQ cmd
> d48647f22e856183eeb34b2db8ed843630bfecc4 iwlwifi: fix freeing uninitialized pointer
>
> The kernel can be download from:
> http://kernel.ubuntu.com/~jsalisbury/lp1186932/
>
> Can you test this kernel and see if it still exhibits this bug?

Yes, I will do this at the first opportunity, which is tomorrow at work
(approx 09:00 UTC+02:00). It's only reproducable on the network there.

I can devote some time during the work day to look into this, but to
avoid long waits going back and forth, perhaps a second kernel with all
four wifi-patches reverted should also be prepared, so I can test both
of them tomorrow ?

Thanks,

Øyvind

summary: - Regression: kernel 3.8.0-24 breaks WPA 2 enterprise auth [iwlwifi]
+ Regression: kernel 3.8.0-24 breaks WPA enterprise auth [iwlwifi]
Øyvind Stegard (oyvinst) wrote :

Using kernel 3.8.0-24.35~lp1186932 I am still unable to connect to the network in question.

$ uname -r
3.8.0-24-generic
$ apt-cache policy linux-image-3.8.0-24-generic
linux-image-3.8.0-24-generic:
  Installert: 3.8.0-24.35~lp1186932v1
  Kandidat: 3.8.0-24.35
  Versjonstabell:
     3.8.0-24.35 0
        500 http://ftp.uninett.no/ubuntu/ raring-proposed/main amd64 Packages
 *** 3.8.0-24.35~lp1186932v1 0
        100 /var/lib/dpkg/status

Øyvind Stegard (oyvinst) wrote :

I noticed nm-tool classified the network as "WPA enterprise", so I corrected the bug title.

description: updated
Øyvind Stegard (oyvinst) wrote :

I rebuilt 3.8.0-24, as per instructions at https://help.ubuntu.com/community/Kernel/Compile, with the following patch reverted:
8aba4976abb99ae093cc8d74976164be487a93a5 wireless: regulatory: fix channel disabling race condition

Got the source by "apt-get source linux-image-3.8.0-24-generic".

It booted fine, but the revert did *not* help with wireless connectivity. (I think I got it right with the kernel build process, but no guarantees..)

So then it might be some inconspicuous patch in -24 that's causing it..

Øyvind Stegard (oyvinst) wrote :

I think this might be the upstream bug and fix:
https://bugzilla.kernel.org/show_bug.cgi?id=58341
https://bugzilla.kernel.org/attachment.cgi?id=102221

It's related to patch:
73031cedc8c24f0665866e655b5aad0d554d7a52 iwlwifi: dvm: don't send zeroed LQ cmd

Strange that I couldn't get the kernel you built with the above patch reverted to work.

Will try new patch from upstream.

Øyvind Stegard (oyvinst) wrote :

Actually, are you sure the intended patch was actually reverted ? Googling the SHA-1 73031cedc8c24f0665866e655b5aad0d554d7a52 yields only this bug report as a result.

Now building 3.8.0-24 with the upstream patch* applied. Will report back here as soon as possible.

* https://bugzilla.kernel.org/attachment.cgi?id=102221

Øyvind Stegard (oyvinst) wrote :

Regarding your built kernel with the reverted patches: my bad for not installing the linux-image-extra-* package. I did not realize the wireless drivers resided there.

I can now report that the upstream fix mentioned in the previous comment #13 resolved the issue for me, and I am able to connect to WPA-EAP enterprise network using latest 3.8.0-24 kernel.

Joseph Salisbury (jsalisbury) wrote :

It looks like this will be fixed by the following commit:

commit a87783699b23395c46bbeeb5d28f6db24897bf26
Author: Emmanuel Grumbach <email address hidden>
Date: Wed May 22 10:48:10 2013 +0300

iwlwifi: dvm: fix zero LQ CMD sending avoidance

Tim Gardner (timg-tpi) on 2013-06-06
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Quantal):
status: New → Fix Committed
Changed in linux (Ubuntu Raring):
status: New → Fix Committed
Brad Figg (brad-figg) on 2013-06-07
tags: added: verification-done-precise verification-done-quantal verification-done-raring
Launchpad Janitor (janitor) wrote :
Download full text (17.0 KiB)

This bug was fixed in the package linux - 3.2.0-48.74

---------------
linux (3.2.0-48.74) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1188206

  [ Upstream Kernel Changes ]

  * iwlwifi: dvm: fix zero LQ CMD sending avoidance
    - LP: #1186932

linux (3.2.0-47.72) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1187066

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: Fix detection of base of stolen memory"
    - LP: #1186572
  * mmc: at91/avr32/atmel-mci: fix DMA-channel leak on module unload
    - LP: #1186572
  * mmc: core: Fix bit width test failing on old eMMC cards
    - LP: #1186572
  * mfd: adp5520: Restore mode bits on resume
    - LP: #1186572
  * mmc: atmel-mci: pio hang on block errors
    - LP: #1186572
  * x86: Eliminate irq_mis_count counted in arch_irq_stat
    - LP: #1186572
  * ASoC: wm8994: missing break in wm8994_aif3_hw_params()
    - LP: #1186572
  * ath9k: fix key allocation error handling for powersave keys
    - LP: #1186572
  * nfsd4: don't allow owner override on 4.1 CLAIM_FH opens
    - LP: #1186572
  * net/eth/ibmveth: Fixup retrieval of MAC address
    - LP: #1186572
  * ext4: limit group search loop for non-extent files
    - LP: #1186572
  * xen/vcpu/pvhvm: Fix vcpu hotplugging hanging.
    - LP: #1186572
  * autofs - remove autofs dentry mount check
    - LP: #1186572
  * ALSA: HDA: Fix Oops caused by dereference NULL pointer
    - LP: #1186572
  * iscsi-target: Fix processing of OOO commands
    - LP: #1186572
  * ACPICA: Fix possible buffer overflow during a field unit read operation
    - LP: #1186572
  * B43: Handle DMA RX descriptor underrun
    - LP: #1186572
  * mwifiex: clear is_suspended flag when interrupt is received early
    - LP: #1186572
  * mwifiex: fix memory leak issue when driver unload
    - LP: #1186572
  * mwifiex: fix setting of multicast filter
    - LP: #1186572
  * cifs: only set ops for inodes in I_NEW state
    - LP: #1186572
  * hp_accel: Ignore the error from lis3lv02d_poweron() at resume
    - LP: #1186572
  * KVM: VMX: fix halt emulation while emulating invalid guest sate
    - LP: #1186572
  * dm snapshot: fix error return code in snapshot_ctr
    - LP: #1186572
  * dm bufio: avoid a possible __vmalloc deadlock
    - LP: #1186572
  * tick: Cleanup NOHZ per cpu data on cpu down
    - LP: #1186572
  * ACPI / EC: Restart transaction even when the IBF flag set
    - LP: #1186572
  * drm/radeon: check incoming cliprects pointer
    - LP: #1186572
  * staging: vt6656: use free_netdev instead of kfree
    - LP: #1186572
  * hwmon: fix error return code in abituguru_probe()
    - LP: #1186572
  * Kirkwood: Enable PCIe port 1 on QNAP TS-11x/TS-21x
    - LP: #1186572
  * avr32: fix relocation check for signed 18-bit offset
    - LP: #1186572
  * powerpc/pseries: Fix partition migration hang in stop_topology_update
    - LP: #1186572
  * powerpc: Bring all threads online prior to migration/hibernation
    - LP: #1186572
  * timer: Don't reinitialize the cpu base lock during CPU_UP_PREPARE
    - LP: #1186572
  * tg3: Skip powering down function 0 on certain serdes devices
    - LP: #1186572
  * USB: xHCI: override bogus bu...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (18.4 KiB)

This bug was fixed in the package linux - 3.5.0-34.55

---------------
linux (3.5.0-34.55) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1187926

  [ Upstream Kernel Changes ]

  * iwlwifi: dvm: fix zero LQ CMD sending avoidance
    - LP: #1186932

linux (3.5.0-33.54) quantal; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1186271

  [ Upstream Kernel Changes ]

  * crypto: algif - suppress sending source address information in recvmsg
    - LP: #1172363
    - CVE-2013-3076
  * ax25: fix info leak via msg_name in ax25_recvmsg()
    - LP: #1172366
    - CVE-2013-3223
  * Bluetooth: fix possible info leak in bt_sock_recvmsg()
    - LP: #1172368
    - CVE-2013-3224
  * tipc: fix info leaks via msg_name in recv_msg/recv_stream
    - LP: #1172403
    - CVE-2013-3235
  * rose: fix info leak via msg_name in rose_recvmsg()
    - LP: #1172394
    - CVE-2013-3234
  * Bluetooth: RFCOMM - Fix missing msg_namelen update in
    rfcomm_sock_recvmsg()
    - LP: #1172369
    - CVE-2013-3225
  * atm: update msg_namelen in vcc_recvmsg()
    - LP: #1172365
    - CVE-2013-3222
  * iwlwifi: add new pci id for 6x35 series
    - LP: #1180256
  * ath9k_htc: accept 1.x firmware newer than 1.3
    - LP: #1186062
  * ssb: implement spurious tone avoidance
    - LP: #1186062
  * can: mcp251x: add missing IRQF_ONESHOT to request_threaded_irq
    - LP: #1186062
  * can: sja1000: fix handling on dt properties on little endian systems
    - LP: #1186062
  * ath9k_hw: change AR9580 initvals to fix a stability issue
    - LP: #1186062
  * ARM: 7696/1: Fix kexec by setting outer_cache.inv_all for Feroceon
    - LP: #1186062
  * ARM: 7698/1: perf: fix group validation when using enable_on_exec
    - LP: #1186062
  * hugetlbfs: add swap entry check in follow_hugetlb_page()
    - LP: #1186062
  * kernel/signal.c: stop info leak via the tkill and the tgkill syscalls
    - LP: #1186062
  * hfsplus: fix potential overflow in hfsplus_file_truncate()
    - LP: #1186062
  * sched: Convert BUG_ON()s in try_to_wake_up_local() to WARN_ON_ONCE()s
    - LP: #1186062
  * perf/x86: Fix offcore_rsp valid mask for SNB/IVB
    - LP: #1186062
  * vm: add vm_iomap_memory() helper function
    - LP: #1186062
  * vm: convert HPET mmap to vm_iomap_memory() helper
    - LP: #1186062
  * vm: convert fb_mmap to vm_iomap_memory() helper
    - LP: #1186062
  * vm: convert snd_pcm_lib_mmap_iomem() to vm_iomap_memory() helper
    - LP: #1186062
  * vm: convert mtdchar mmap to vm_iomap_memory() helper
    - LP: #1186062
  * regulator: fixed regulator_bulk_enable unwinding code
    - LP: #1186062
  * perf: Fix error return code
    - LP: #1186062
  * xen/smp: Fix leakage of timer interrupt line for every CPU
    online/offline.
    - LP: #1186062
  * xen/smp/spinlock: Fix leakage of the spinlock interrupt line for every
    CPU online/offline
    - LP: #1186062
  * xen/time: Fix kasprintf splat when allocating timer%d IRQ line.
    - LP: #1186062
  * s390/memory hotplug: prevent offline of active memory increments
    - LP: #1186062
  * aio: fix possible invalid memory access when DEBUG is enabled
    - LP: #1186062
  * TTY: do not update atime/mtime on read/...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Joseph Salisbury (jsalisbury) wrote :

@Øyvind Stegard

Would it also be possible for you to test the latest v3.10-rc5 kernel, which can be downloaded from:
 http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc5-saucy/

Changed in linux (Ubuntu Raring):
importance: Undecided → High
Changed in linux (Ubuntu Quantal):
importance: Undecided → High
Changed in linux (Ubuntu Precise):
importance: Undecided → High
tags: added: saucy
removed: needs-bisect
Launchpad Janitor (janitor) wrote :
Download full text (16.3 KiB)

This bug was fixed in the package linux - 3.8.0-25.37

---------------
linux (3.8.0-25.37) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1187857

  [ Upstream Kernel Changes ]

  * iwlwifi: dvm: fix zero LQ CMD sending avoidance
    - LP: #1186932

linux (3.8.0-24.35) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1186236

  [ Joseph Salisbury ]

  * SAUCE: uvcvideo: quirk PROBE_DEF for Alienware X51 OmniVision webcam
    - LP: #1180409

  [ Upstream Kernel Changes ]

  * drm/i915: Use MLC (l3$) for context objects
  * xhci: Don't warn on empty ring for suspended devices.
    - LP: #1177865
  * USB: serial: option: Added support Olivetti Olicard 145
    - LP: #1178361
  * USB: option: add a D-Link DWM-156 variant
    - LP: #1178361
  * staging: zsmalloc: Fix link error on ARM
    - LP: #1178361
  * ARM: omap3: cpuidle: enable time keeping
    - LP: #1178361
  * ARM: u300: fix ages old copy/paste bug
    - LP: #1178361
  * ARM: at91/at91sam9260.dtsi: fix u(s)art pinctrl encoding
    - LP: #1178361
  * ARM: at91: remove partial parameter in bootargs for at91sam9x5ek.dtsi
    - LP: #1178361
  * ARM: at91: Fix typo in restart code panic message
    - LP: #1178361
  * ARM: at91/trivial: fix model name for SAM9G15-EK
    - LP: #1178361
  * ARM: at91/trivial: typos in compatible property
    - LP: #1178361
  * powerpc: Add isync to copy_and_flush
    - LP: #1178361
  * powerpc: Fix hardware IRQs with MMU on exceptions when HV=0
    - LP: #1178361
  * powerpc/power8: Fix secondary CPUs hanging on boot for HV=0
    - LP: #1178361
  * powerpc/spufs: Initialise inode->i_ino in spufs_new_inode()
    - LP: #1178361
  * iwlwifi: fix freeing uninitialized pointer
    - LP: #1178361
  * iwlwifi: dvm: don't send zeroed LQ cmd
    - LP: #1178361
  * mwifiex: Use pci_release_region() instead of a pci_release_regions()
    - LP: #1178361
  * mwifiex: Call pci_release_region after calling pci_disable_device
    - LP: #1178361
  * mac80211: fix station entry leak/warning while suspending
    - LP: #1178361
  * usb/misc/appledisplay: Add 24" LED Cinema display
    - LP: #1178361
  * USB: add ftdi_sio USB ID for GDM Boost V1.x
    - LP: #1178361
  * USB: ftdi_sio: correct ST Micro Connect Lite PIDs
    - LP: #1178361
  * USB: ftdi_sio: enable two UART ports on ST Microconnect Lite
    - LP: #1178361
  * usbfs: Always allow ctrl requests with USB_RECIP_ENDPOINT on the ctrl
    ep
    - LP: #1178361
  * usb: chipidea: udc: fix memory access of shared memory on armv5
    machines
    - LP: #1178361
  * usb: chipidea: udc: fix memory leak in _ep_nuke
    - LP: #1178361
  * usb: remove redundant tdi_reset
    - LP: #1178361
  * usb-storage: CY7C68300A chips do not support Cypress ATACB
    - LP: #1178361
  * s390/memory hotplug: prevent offline of active memory increments
    - LP: #1178361
  * xen/time: Fix kasprintf splat when allocating timer%d IRQ line.
    - LP: #1178361
  * xen/smp: Fix leakage of timer interrupt line for every CPU
    online/offline.
    - LP: #1178361
  * xen/smp/spinlock: Fix leakage of the spinlock interrupt line for every
    CPU online/offline
    - LP: #1178361
  * serial_core.c: add...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Øyvind Stegard (oyvinst) wrote :

@jsalisbury

Hi, I will not be at work for the next couple of weeks, so it will be difficult for me to test the 3.10-rc5 kernel wrt. to this issue within a reasonable amount of time.

Øyvind Stegard (oyvinst) wrote :

I can of course test once I return to work, if you still need a confirmation that the 3.10 kernel works OK with wpa-eap by that time.

Joseph Salisbury (jsalisbury) wrote :

It looks like the fix may have landed in v3.10-rc6. Can you test that kernel instead of rc5:
 http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc6-saucy/

Changed in linux (Ubuntu Saucy):
status: Confirmed → Incomplete
Øyvind Stegard (oyvinst) wrote :

Kernel 3.10-rc7 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc7-saucy/ worked OK with enterprise network auth.

(Although it cause complete Compiz/Unity config wreckage, due to nvidia module failing to compile with the 3.10 kernel and OpenGL not being available when logging into desktop session.)

Joseph Salisbury (jsalisbury) wrote :

The 3.10.0-0.6 kernel has been rebased to upstream v3.10-rc7. Can you apply the latest Saucy updates and see if this bug is resolved?

Øyvind Stegard (oyvinst) wrote :

Will it suffice to download kernel build from here:
https://launchpad.net/ubuntu/+source/linux/3.10.0-0.6/+build/4742834

and test using raring ? (I cannot upgrade my work-laptop to a beta-release.)

Joseph Salisbury (jsalisbury) wrote :

Can you see if this bug still exits in Saucy with the latest updates?

Øyvind Stegard (oyvinst) wrote :

I am sorry, I cannot install Saucy on the only machine I can test this bug on, because it is my work laptop (and work network) and I need a stable install on it.

Øyvind Stegard (oyvinst) wrote :

Though I guess it would be sufficient to test with a Saucy live desktop image ? If so, I can do that. Will report back.

Øyvind Stegard (oyvinst) wrote :

Verified working OK on Ubuntu Saucy (using Live CD to test network access).

Changed in linux (Ubuntu Saucy):
status: Incomplete → Fix Released
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.